include/Zycore/Types.h(3)

NAME
include/Zycore/Types.h

SYNOPSIS

#include <Zycore/Defines.h>
#include <stdint.h>
#include <stddef.h>

  Macros

#define ZYAN_INT8_MIN INT8_MIN
#define ZYAN_INT16_MIN INT16_MIN
#define ZYAN_INT32_MIN INT32_MIN
#define ZYAN_INT64_MIN INT64_MIN
#define ZYAN_INT8_MAX INT8_MAX
#define ZYAN_INT16_MAX INT16_MAX
#define ZYAN_INT32_MAX INT32_MAX
#define ZYAN_INT64_MAX INT64_MAX
#define ZYAN_UINT8_MAX UINT8_MAX
#define ZYAN_UINT16_MAX UINT16_MAX
#define ZYAN_UINT32_MAX UINT32_MAX
#define ZYAN_UINT64_MAX UINT64_MAX
#define ZYAN_NULL ((void*)0)
#define ZYAN_FALSE 0u
#define ZYAN_TRUE 1u
#define ZYAN_TERNARY_FALSE (-1)
#define ZYAN_TERNARY_UNKNOWN 0x00
#define ZYAN_TERNARY_TRUE 0x01

  Typedefs

typedef uint8_t ZyanU8
typedef uint16_t ZyanU16
typedef uint32_t ZyanU32
typedef uint64_t ZyanU64
typedef int8_t ZyanI8
typedef int16_t ZyanI16
typedef int32_t ZyanI32
typedef int64_t ZyanI64
typedef size_t ZyanUSize
typedef ptrdiff_t ZyanISize
typedef uintptr_t ZyanUPointer
typedef intptr_t ZyanIPointer
typedef void * ZyanVoidPointer
typedef const void * ZyanConstVoidPointer
typedef ZyanU8 ZyanBool
typedef ZyanI8 ZyanTernary
typedef char * ZyanCharPointer
typedef const char * ZyanConstCharPointer

  Functions

ZYAN_STATIC_ASSERT (sizeof(ZyanU8)==1)
ZYAN_STATIC_ASSERT (sizeof(ZyanU16)==2)
ZYAN_STATIC_ASSERT (sizeof(ZyanU32)==4)
ZYAN_STATIC_ASSERT (sizeof(ZyanU64)==8)
ZYAN_STATIC_ASSERT (sizeof(ZyanI8)==1)
ZYAN_STATIC_ASSERT (sizeof(ZyanI16)==2)
ZYAN_STATIC_ASSERT (sizeof(ZyanI32)==4)
ZYAN_STATIC_ASSERT (sizeof(ZyanI64)==8)
ZYAN_STATIC_ASSERT (sizeof(ZyanUSize)==sizeof(void *))
ZYAN_STATIC_ASSERT (sizeof(ZyanISize)==sizeof(void *))
ZYAN_STATIC_ASSERT (sizeof(ZyanUPointer)==sizeof(void *))
ZYAN_STATIC_ASSERT (sizeof(ZyanIPointer)==sizeof(void *))
ZYAN_STATIC_ASSERT ((ZyanI8) -1 > > 1<(ZyanI8)((ZyanU8) -1 > > 1))

Detailed Description

Includes and defines some default data types.

Typedef Documentation

  typedef ZyanU8 ZyanBool
Defines the ZyanBool data-type.

Represents a default boolean data-type where 0 is interpreted as false and all other values as true.

  typedef char* ZyanCharPointer
Defines the ZyanCharPointer data-type.

This type is most often used to represent null-terminated strings aka. C-style strings.

  typedef const char* ZyanConstCharPointer
Defines the ZyanConstCharPointer data-type.

This type is most often used to represent null-terminated strings aka. C-style strings.

  typedef const void* ZyanConstVoidPointer
Defines the ZyanConstVoidPointer data-type.

  typedef ZyanI8 ZyanTernary
Defines the ZyanTernary data-type.

The ZyanTernary is a balanced ternary type that uses three truth values indicating true, false and an indeterminate third value.

  typedef void* ZyanVoidPointer
Defines the ZyanVoidPointer data-type.

Author

Generated automatically by Doxygen for Zycore from the source code.